django-reversion (5.0.3-1) unstable; urgency=low

  * New upstream release.
  * Run all tests (requiring live postgresql and mariadb servers) in
    autopkgtest.

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Oct 2022 08:02:23 +0000

django-reversion (5.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Sep 2022 07:19:47 +0000

django-reversion (5.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 01 Aug 2022 08:32:35 +0000

django-reversion (5.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-django.
    + python3-django-reversion: Drop versioned constraint on python3-django in
      Depends.

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 16 Mar 2022 17:34:50 +0000

django-reversion (4.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 Feb 2022 08:38:47 +0000

django-reversion (4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jan 2022 17:31:18 +0000

django-reversion (4.0.0-1) unstable; urgency=low

  [ Diego M. Rodriguez ]
  * Team upload.
  * d/watch: update to github new URL format
  * d/tests: specify import name

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.
  * Update patch to skip database definitions for postgres and mysql
    when driver no available.
  * Enable upstream testsuite for autopkgtests.
  * Add python3-sphinx-rtd-theme to Build-Depends, used to build
    documentation.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Sep 2021 20:14:07 +0000

django-reversion (3.0.8-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 16:00:20 +0200

django-reversion (3.0.7-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 10:28:55 +0100

django-reversion (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Dec 2019 17:14:04 +0100

django-reversion (3.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * Rebuild and re-upload source-only to allow migration to testing, as it's
    blocked because of that, according to Paul from the release team.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Oct 2019 11:47:31 +0200

django-reversion (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 15:36:36 +0200

django-reversion (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Feb 2019 11:05:07 +0100

django-reversion (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 17 Nov 2018 21:44:52 +0100

django-reversion (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Install README.rst in Python 3 binary package.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Oct 2018 19:22:46 +0200

django-reversion (3.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Aug 2018 12:17:05 +0200

django-reversion (2.0.13-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Refresh patches.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Bump required Django version to 1.11.
  * Bump minimum required Python2 version to 2.7 and Python3 to 3.4.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Jan 2018 11:59:38 +0100

django-reversion (2.0.12-1) unstable; urgency=low

  * New upstream release (Closes: #873910).
  * Refresh patches.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Dec 2017 19:55:32 +0100

django-reversion (2.0.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Aug 2017 21:21:22 +0200

django-reversion (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Add patch to fix babel build isues.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2017 10:10:46 +0200

django-reversion (2.0.8-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to match new upstream versioning scheme.
  * Drop intersphinx patch as upstream no longer uses it in their
    documentation.
  * Adapt d/rules to new upstream source layout.
  * Add python(3)-mock to Build-Depends as they are required to run the
    tests.
  * Change name of upstream changelog to CHANGELOG.rst.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Tue, 29 Nov 2016 23:05:36 +0100

django-reversion (1.10.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Switch to python3-sphinx and drop versioned Build-Depends.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Apr 2016 22:36:16 +0200

django-reversion (1.10.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Update Source filed in d/copyright to point to github repository.
  * CHANGELOG.rst has been renamed to CHANGELOG.md.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Dec 2015 17:22:55 +0100

django-reversion (1.9.3-1) unstable; urgency=low

  * New upstream release.
  * Use pybuild to execute tests.
  * Add python(3)-setuptools to Build-Depends.
  * Clean metadata files to allow two builds in a row.
  * Bump debhelper compatibility level to 9.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Aug 2015 09:31:12 +0200

django-reversion (1.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 02 Jun 2015 08:38:51 +0200

django-reversion (1.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Add intersphinx.patch to use local Python objects.inv for
    documentation.
  * Drop unnecessary versioned dependency on python3-django.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 10:32:11 +0200

django-reversion (1.8.4-1) unstable; urgency=medium

  * New upstream release (Closes: #755612).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Remove superfluous install file.
  * Add Python3 support.
  * Bump Build-Depends and Depends for python(3)-django to (>= 1.7).
  * Bump Standards-Version to 3.9.6.
  * Fix the way upstream tests are run during build.
  * Add lintian override for missing PGP signature on upstream tarballs.
  * Remove PHONY target declarations in d/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 22 Sep 2014 08:32:54 +0200

django-reversion (1.8-2) unstable; urgency=low

  * Use correct BSD-3-clause license in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 22 Nov 2013 07:27:22 +0100

django-reversion (1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump django to >= 1.6 in Depends and Build-Depends.
  * Bump Standards version to 3.9.5.
  * Add a spearate package for the upstream documentation.
    + Add python-sphinx (>= 1.0.7+dfsg) to Build-Depends.
    + Load sphinxdoc addon for debhelper.
    + Build documentation with sphinx.
    + Clean up documentation after build.
    + Suggest python-django-reversion-doc from python-django-reversion
      package.
  * Change upstream changelog name to CHANGELOG.rst.
  * Change upstream readme name to README.rst.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 07 Nov 2013 13:07:55 +0100

django-reversion (1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #702080).
  * Bump Depends and Build-Depends on python-django to >= 1.5.
  * Bump Standards version to 3.9.4.
  * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch
    and build-indep targets.
  * Change python-pybabel to python-babel in Build-Depends.
  * Drop versioned Build-Depends on python-all as no prior versions are
    available in Wheezy.
  * Update homepage URL in d/control (Closes: #702078).
  * Remove testproject directory to allow two builds in a row.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 04 Nov 2013 14:34:46 +0100

django-reversion (1.6.6-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Use github tags directly in d/watch.
  * Run tests with django-admin and manage.py.
  * Bump dependency on django to >= 1.4.4.
  * Drop temporary fix for PKG-INFO.
  * Update years in d/copyright.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 24 Jan 2013 07:54:56 +0100

django-reversion (1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.
  * Update years in d/copyright.
  * Update DEP-5 URL to 1.0.
  * Increase dependency on python-django to >= 1.4.
  * Add python-django-south to B-D and Recommends.
  * Drop our own test project and use the one shipped by upstream.
  * Add 'set -e' to for loop in override_dh_auto_build.
  * Fix indent in d/copyright.
  * Remove d/s/local-options.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 05 Apr 2012 07:30:17 +0200

django-reversion (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Set PMPT as maintainer and myself as uploader.
  * Build .mo i18n files during build.
  * Use DEP5 for copyright file.
  * Drop debian/pyversions in favour of XS-Python-Version.
  * Update debian/watch to use http://githubredir.debian.net/.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Include upstream changelog.
  * Simplify debian/rules by using a static settings.py.
  * Update settings.py to Django-1.3 DATABASES format.
  * Bumped python-django dependency to (>= 1.3).
  * Add local-options to debian/source.
  * Streamlined files in debian/ with `wrap-and-sort`.
  * README has been renamed to README.markdown.
  * Update format URL in d/copyright.
  * Change order of my name.
  * Switch to dh_python2.
  * Temporary fix for Metadata-Version in django_reversion-1.5.1.egg-
    info.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 28 Dec 2011 22:01:29 +0100

django-reversion (1.3.1-2) unstable; urgency=low

  * Update to Debian policy 3.9.0.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 05 Jul 2010 12:54:45 +0200

django-reversion (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #581926)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 17 May 2010 10:53:38 +0200
